ONVIF::Analytics::Types::PTZPositionFilter(3pm)

NAME
ONVIF::Analytics::Types::PTZPositionFilter

DESCRIPTION
Perl data type class for the XML Schema defined complexType PTZPositionFilter from the namespace http://www.onvif.org/ver10/schema.

  PROPERTIES
The following properties may be accessed using get_PROPERTY / set_PROPERTY methods:

•   MinPosition

•   MaxPosition

•   EnterOrExit

METHODS

  new
Constructor. The following data structure may be passed to new():

 { # ONVIF::Analytics::Types::PTZPositionFilter
   MinPosition =>  { # ONVIF::Analytics::Types::PTZVector
     PanTilt => ,
     Zoom => ,
   },
   MaxPosition =>  { # ONVIF::Analytics::Types::PTZVector
     PanTilt => ,
     Zoom => ,
   },
   EnterOrExit =>  $some_value, # boolean
 },

AUTHOR
Generated by SOAP::WSDL